{
  "openapi": "3.0.1",
  "info": {
    "description": "The Ripple Collection APIs are used to manage accounts, payment channels, partners, transactions, transfers and settlements.\n## API Environments\nThe Ripple Collection APIs offers the following environments:\n| <div style=\"width:90px\">Environment</div>  | Base URL                      | Description                               |\n| ------------------------------------------ | ----------------------------- | ----------------------------------------- |\n| Sandbox                                    | `https://docs.ripple.com/products/collections/_mock/api/collections` | Sandbox environment with mock data which does not require auth.|\n| UAT                                       | `https://api.test.ripple.com` | UAT environment with simulated transactions. |\n| Production                                 | `https://api.ripple.com`      | Production environment                    |\n\nFor guides on API authentication, idempotency, and webhook verification, see the sidebar. ",
    "title": "Ripple Collections",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.test.ripple.com"
    },
    {
      "url": "https://api.ripple.com"
    }
  ],
  "tags": [
    {
      "name": "Authentication",
      "description": "Endpoints for authentication"
    },
    {
      "name": "Accounts",
      "description": "Endpoints for managing payment accounts"
    },
    {
      "name": "Collection Channels",
      "description": "Endpoints for managing persistent collection channels with account-based routing"
    },
    {
      "name": "Partners",
      "description": "Endpoints for managing partners who can transact"
    },
    {
      "name": "Settlements",
      "description": "Endpoints for managing settlements"
    },
    {
      "name": "Transactions",
      "description": "Endpoints for viewing transactions received through channels with account-based routing"
    },
    {
      "name": "Webhooks",
      "description": "Endpoints for managing webhook registrations"
    },
    {
      "name": "Transfers",
      "description": "Endpoints for transferring funds between accounts"
    }
  ],
  "paths": {
    "/v2/oauth/token": {
      "post": {
        "tags": [
          "Authentication"
        ],
        "operationId": "authenticate",
        "summary": "Request an access token",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AuthenticationRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AuthenticationRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns the authentication response object that includes the token, type, scopes, and expiry.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthenticationResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthErrorResponse"
                },
                "example": {
                  "error_description": "Missing required parameter: grant_type",
                  "error": "invalid_request"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthErrorResponse"
                },
                "example": {
                  "error_description": "Unauthorized",
                  "error": "access_denied"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthErrorResponse"
                },
                "example": {
                  "error_description": "Service not enabled within domain: <wrong:domain>"
                }
              }
            }
          }
        },
        "description": "Request an access token for authentication with Ripple APIs.\n\nYou need to request a token for the environment you want to authenticate with.\n\n**Note**: The length of the access token isn't fixed, hence it can vary. Avoid validating tokens based on character length.\n\n**Tutorials**\n\n* Learn how to [Request an access token](../../tutorials/request-an-access-token/).\n\n#### Environments\n\n| Environment | Domain | Description |\n| --- | --- | --- |\n| UAT | `api.test.ripple.com` | UAT environment with simulated transactions. |\n| Production | `api.ripple.com` | Production environment |\n"
      }
    },
    "/v2/oauth/token/test": {
      "get": {
        "tags": [
          "Authentication"
        ],
        "operationId": "testAuthToken",
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Test access token",
        "description": "Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.",
        "responses": {
          "200": {
            "description": "If a valid bearer token is supplied, the time remaining before the token expires is returned.",
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "$ref": "#/components/schemas/ValidateTokenResponse"
                  },
                  "type": "array"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                },
                "example": "Invalid Request parameters [Invalid bearer authentication token]"
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          }
        }
      }
    },
    "/v1/collections/accounts": {
      "get": {
        "tags": [
          "Accounts"
        ],
        "summary": "List accounts",
        "description": "Retrieves a list of accounts, filterable by query parameters.",
        "operationId": "listAccountsV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Filter accounts by specific account identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "account_owner_id",
            "in": "query",
            "description": "Filter accounts by account owner identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "beneficiary_id",
            "in": "query",
            "description": "Filter accounts by beneficiary partner identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "ownership_level",
            "in": "query",
            "description": "Filter accounts by ownership level",
            "schema": {
              "type": "string",
              "enum": [
                "PARTNER",
                "CUSTOMER"
              ]
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "Filter accounts by currency",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "ISO 8601 timestamp after account was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "ISO 8601 timestamp before account was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "description": "Page number (zero-indexed, starts at 0)",
            "example": 0
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "default": 10
            },
            "description": "Page size (items per page)",
            "example": 10
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Field to sort results by",
            "schema": {
              "type": "string",
              "default": "CREATED_AT",
              "enum": [
                "CREATED_AT",
                "UPDATED_AT",
                "STATUS",
                "CURRENCY"
              ]
            },
            "example": "CREATED_AT"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Sort direction",
            "schema": {
              "type": "string",
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "example": "desc"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of accounts.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Account"
                      }
                    },
                    "page": {
                      "$ref": "#/components/schemas/PageMetadata"
                    }
                  }
                },
                "examples": {
                  "default": {
                    "summary": "Example account list response",
                    "value": {
                      "content": [
                        {
                          "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                          "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                          "beneficiary": {
                            "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "USD",
                          "type": "FIAT",
                          "rails": [
                            "FEDWIRE",
                            "ACH",
                            "RTP"
                          ],
                          "balances": {
                            "available": {
                              "amount": "1250.50"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "50.00"
                              },
                              "outbound": {
                                "amount": "25.00"
                              }
                            }
                          },
                          "ownership_level": "PARTNER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "250d6dc5-382f-4750-8657-0780be594d68",
                          "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                          "beneficiary": {
                            "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "BRL",
                          "type": "FIAT",
                          "rails": [
                            "PIX"
                          ],
                          "balances": {
                            "available": {
                              "amount": "0.00"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "0.00"
                              },
                              "outbound": {
                                "amount": "0.00"
                              }
                            }
                          },
                          "ownership_level": "PARTNER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "f6a7b8c9-d0e1-2345-f012-567890123456",
                          "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                          "beneficiary": {
                            "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "RLUSD",
                          "type": "CRYPTO",
                          "rails": [
                            "BLOCKCHAIN"
                          ],
                          "balances": {
                            "available": {
                              "amount": "0.00"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "0.00"
                              },
                              "outbound": {
                                "amount": "0.00"
                              }
                            }
                          },
                          "ownership_level": "PARTNER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "c3d4e5f6-a7b8-9012-cdef-234567890123",
                          "account_owner_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "USD",
                          "type": "FIAT",
                          "rails": [
                            "FEDWIRE",
                            "ACH",
                            "RTP"
                          ],
                          "balances": {
                            "available": {
                              "amount": "0.00"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "0.00"
                              },
                              "outbound": {
                                "amount": "0.00"
                              }
                            }
                          },
                          "ownership_level": "CUSTOMER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "d4e5f6a7-b8c9-0123-def0-345678901234",
                          "account_owner_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "BRL",
                          "type": "FIAT",
                          "rails": [
                            "PIX"
                          ],
                          "balances": {
                            "available": {
                              "amount": "0.00"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "0.00"
                              },
                              "outbound": {
                                "amount": "0.00"
                              }
                            }
                          },
                          "ownership_level": "CUSTOMER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "e5f6a7b8-c9d0-1234-ef01-456789012345",
                          "account_owner_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                          "currency": "RLUSD",
                          "type": "CRYPTO",
                          "rails": [
                            "BLOCKCHAIN"
                          ],
                          "balances": {
                            "available": {
                              "amount": "0.00"
                            },
                            "pending": {
                              "inbound": {
                                "amount": "0.00"
                              },
                              "outbound": {
                                "amount": "0.00"
                              }
                            }
                          },
                          "ownership_level": "CUSTOMER",
                          "status": "ACTIVE",
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        }
                      ],
                      "page": {
                        "page": 0,
                        "size": 10,
                        "total_elements": 6,
                        "total_pages": 1
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Accounts"
        ],
        "summary": "Create an account",
        "description": "Creates a new payment account for a beneficiary partner. The account type (CRYPTO or FIAT)\nis determined by the currency specified. Account creation is subject to the beneficiary's\npartner eligibility.\n",
        "operationId": "createAccountV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAccountRequest"
              },
              "examples": {
                "crypto_account": {
                  "summary": "Example crypto account creation",
                  "value": {
                    "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                    "currency": "RLUSD"
                  }
                },
                "usd_fiat_account": {
                  "summary": "Example USD fiat account creation",
                  "value": {
                    "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                    "currency": "USD"
                  }
                },
                "brl_fiat_account": {
                  "summary": "Example BRL fiat account creation",
                  "value": {
                    "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                    "currency": "BRL"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Account created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account"
                },
                "examples": {
                  "crypto_account": {
                    "summary": "Example crypto account response",
                    "value": {
                      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                      "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                      "currency": "RLUSD",
                      "type": "CRYPTO",
                      "rails": [
                        "BLOCKCHAIN"
                      ],
                      "balances": {
                        "available": {
                          "amount": "0.00"
                        },
                        "pending": {
                          "inbound": {
                            "amount": "0.00"
                          },
                          "outbound": {
                            "amount": "0.00"
                          }
                        }
                      },
                      "ownership_level": "PARTNER",
                      "status": "ACTIVE",
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "usd_fiat_account": {
                    "summary": "Example USD fiat account response",
                    "value": {
                      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                      "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                      "currency": "USD",
                      "type": "FIAT",
                      "rails": [
                        "FEDWIRE",
                        "ACH",
                        "RTP"
                      ],
                      "balances": {
                        "available": {
                          "amount": "0.00"
                        },
                        "pending": {
                          "inbound": {
                            "amount": "0.00"
                          },
                          "outbound": {
                            "amount": "0.00"
                          }
                        }
                      },
                      "ownership_level": "PARTNER",
                      "status": "ACTIVE",
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "brl_fiat_account": {
                    "summary": "Example BRL fiat account response",
                    "value": {
                      "id": "250d6dc5-382f-4750-8657-0780be594d68",
                      "account_owner_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "customer_id": "87a6b830-1bbe-409c-9bff-9cf12bed774f",
                      "currency": "BRL",
                      "type": "FIAT",
                      "rails": [
                        "PIX"
                      ],
                      "balances": {
                        "available": {
                          "amount": "0.00"
                        },
                        "pending": {
                          "inbound": {
                            "amount": "0.00"
                          },
                          "outbound": {
                            "amount": "0.00"
                          }
                        }
                      },
                      "ownership_level": "PARTNER",
                      "status": "ACTIVE",
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - Partner access does not allow this account type",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/accounts/{account_id}": {
      "get": {
        "tags": [
          "Accounts"
        ],
        "summary": "Get account by ID",
        "description": "Retrieves the details of a specific account by its ID.",
        "operationId": "getAccountByIdV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "required": true,
            "description": "Unique identifier of the account to retrieve",
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Account not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/partners": {
      "get": {
        "tags": [
          "Partners"
        ],
        "summary": "List partners",
        "description": "Retrieves a list of partners, filterable by ID or type.",
        "operationId": "listPartnersV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Filter partners by specific partner ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "ISO 8601 timestamp after partner was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "ISO 8601 timestamp before partner was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "Filter partners by type",
            "schema": {
              "type": "string",
              "$ref": "#/components/schemas/PartnerType"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Filter partners by status",
            "schema": {
              "type": "string",
              "$ref": "#/components/schemas/PartnerStatus"
            }
          },
          {
            "name": "external_reference_id",
            "in": "query",
            "schema": {
              "type": "string",
              "description": "External reference id for partner"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "description": "Page number (zero-indexed, starts at 0)",
            "example": 0
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "default": 10
            },
            "description": "Page size (items per page)",
            "example": 10
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Field to sort results by",
            "schema": {
              "type": "string",
              "default": "CREATED_AT",
              "enum": [
                "CREATED_AT",
                "UPDATED_AT"
              ]
            },
            "example": "CREATED_AT"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Sort direction",
            "schema": {
              "type": "string",
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "example": "desc"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of partners.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/PartnerV1"
                      }
                    },
                    "page": {
                      "$ref": "#/components/schemas/PageMetadata"
                    }
                  }
                },
                "examples": {
                  "default": {
                    "summary": "A payer and a beneficiary",
                    "value": {
                      "content": [
                        {
                          "id": "0c5479ff-3772-4123-b2b7-e679e71eb570",
                          "name": "Nigerian Imports Ltd.",
                          "email": "nigerian@imports.com",
                          "external_reference_id": "Ref-NG-001",
                          "data": {
                            "type": "BUSINESS",
                            "legal_entity": "Nigerian Imports Ltd.",
                            "registration_number": "RC-123456-NGR",
                            "registration_type": "AIIN",
                            "country": "NG",
                            "city": "Lagos Island",
                            "postal_code": "10010",
                            "address": "15 Marina Street",
                            "address_line_2": "Suite 200"
                          },
                          "status": "ACTIVATED",
                          "reason": null,
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T23:54:00.542Z"
                        },
                        {
                          "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                          "name": "Hong Kong Exports Ltd.",
                          "email": "hongkong@exports.com",
                          "external_reference_id": "Ref-HK-001",
                          "data": {
                            "type": "BUSINESS",
                            "legal_entity": "Hong Kong Exports Ltd.",
                            "registration_number": "CR-987654-HK",
                            "registration_type": "CINC",
                            "country": "HK",
                            "city": "Central",
                            "postal_code": "999077",
                            "address": "8 Connaught Road Central",
                            "address_line_2": "Level 30"
                          },
                          "status": "ACTIVATED",
                          "reason": null,
                          "created_at": "2025-09-18T22:55:00.542Z",
                          "updated_at": "2025-09-18T23:55:00.542Z"
                        }
                      ],
                      "page": {
                        "page": 0,
                        "size": 10,
                        "total_elements": 2,
                        "total_pages": 1
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters or invalid field partner for business or individual partner",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Partners"
        ],
        "summary": "Create a partner",
        "description": "This API allows users to add new parties who can transact.",
        "operationId": "createPartnerV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreatePartnerRequest"
              },
              "examples": {
                "payer": {
                  "summary": "Payer (Nigerian Imports)",
                  "value": {
                    "name": "Nigerian Imports Ltd.",
                    "email": "nigerian@imports.com",
                    "external_reference_id": "Ref-NG-001",
                    "data": {
                      "type": "BUSINESS",
                      "legal_entity": "Nigerian Imports Ltd.",
                      "registration_number": "RC-123456-NGR",
                      "registration_type": "AIIN",
                      "country": "NG",
                      "city": "Lagos Island",
                      "postal_code": "10010",
                      "address": "15 Marina Street",
                      "address_line_2": "Suite 200"
                    }
                  }
                },
                "beneficiary": {
                  "summary": "Beneficiary (Hong Kong Exports)",
                  "value": {
                    "name": "Hong Kong Exports Ltd.",
                    "email": "hongkong@exports.com",
                    "external_reference_id": "Ref-HK-001",
                    "data": {
                      "type": "BUSINESS",
                      "legal_entity": "Hong Kong Exports Ltd.",
                      "registration_number": "CR-987654-HK",
                      "registration_type": "CINC",
                      "country": "HK",
                      "city": "Central",
                      "postal_code": "999077",
                      "address": "8 Connaught Road Central",
                      "address_line_2": "Level 30"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Partner created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PartnerV1"
                },
                "examples": {
                  "payer": {
                    "summary": "Payer (Nigerian Imports)",
                    "value": {
                      "id": "0c5479ff-3772-4123-b2b7-e679e71eb570",
                      "name": "Nigerian Imports Ltd.",
                      "email": "nigerian@imports.com",
                      "external_reference_id": "Ref-NG-001",
                      "data": {
                        "type": "BUSINESS",
                        "legal_entity": "Nigerian Imports Ltd.",
                        "registration_number": "RC-123456-NGR",
                        "registration_type": "AIIN",
                        "country": "NG",
                        "city": "Lagos Island",
                        "postal_code": "10010",
                        "address": "15 Marina Street",
                        "address_line_2": "Suite 200"
                      },
                      "status": "PENDING",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "beneficiary": {
                    "summary": "Beneficiary (Hong Kong Exports)",
                    "value": {
                      "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                      "name": "Hong Kong Exports Ltd.",
                      "email": "hongkong@exports.com",
                      "external_reference_id": "Ref-HK-001",
                      "data": {
                        "type": "BUSINESS",
                        "legal_entity": "Hong Kong Exports Ltd.",
                        "registration_number": "CR-987654-HK",
                        "registration_type": "CINC",
                        "country": "HK",
                        "city": "Central",
                        "postal_code": "999077",
                        "address": "8 Connaught Road Central",
                        "address_line_2": "Level 30"
                      },
                      "status": "PENDING",
                      "reason": null,
                      "created_at": "2025-09-18T22:55:00.542Z",
                      "updated_at": "2025-09-18T22:55:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/partners/{partner_id}": {
      "get": {
        "tags": [
          "Partners"
        ],
        "summary": "Get partner by ID",
        "description": "This API allows users to retrieve a specific partner by their ID.",
        "operationId": "getPartnerByIdV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "partner_id",
            "in": "path",
            "required": true,
            "description": "Unique identifier of the partner to retrieve",
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "0c5479ff-3772-4123-b2b7-e679e71eb570"
            }
          },
          {
            "name": "external_reference_id",
            "in": "query",
            "schema": {
              "type": "string",
              "description": "External reference id for partner"
            },
            "example": "Ref-123"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PartnerV1"
                },
                "examples": {
                  "payer": {
                    "summary": "Payer (Nigerian Imports)",
                    "value": {
                      "id": "0c5479ff-3772-4123-b2b7-e679e71eb570",
                      "name": "Nigerian Imports Ltd.",
                      "email": "nigerian@imports.com",
                      "external_reference_id": "Ref-NG-001",
                      "data": {
                        "type": "BUSINESS",
                        "legal_entity": "Nigerian Imports Ltd.",
                        "registration_number": "RC-123456-NGR",
                        "registration_type": "AIIN",
                        "country": "NG",
                        "city": "Lagos Island",
                        "postal_code": "10010",
                        "address": "15 Marina Street",
                        "address_line_2": "Suite 200"
                      },
                      "status": "ACTIVATED",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T23:54:00.542Z"
                    }
                  },
                  "beneficiary": {
                    "summary": "Beneficiary (Hong Kong Exports)",
                    "value": {
                      "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                      "name": "Hong Kong Exports Ltd.",
                      "email": "hongkong@exports.com",
                      "external_reference_id": "Ref-HK-001",
                      "data": {
                        "type": "BUSINESS",
                        "legal_entity": "Hong Kong Exports Ltd.",
                        "registration_number": "CR-987654-HK",
                        "registration_type": "CINC",
                        "country": "HK",
                        "city": "Central",
                        "postal_code": "999077",
                        "address": "8 Connaught Road Central",
                        "address_line_2": "Level 30"
                      },
                      "status": "ACTIVATED",
                      "reason": null,
                      "created_at": "2025-09-18T22:55:00.542Z",
                      "updated_at": "2025-09-18T23:55:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Partner does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Partners"
        ],
        "summary": "Update a partner",
        "description": "API to update a partner to use in collections API.",
        "operationId": "updatePartnerV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "partner_id",
            "in": "path",
            "required": true,
            "description": "Unique identifier of the partner to update",
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "0c5479ff-3772-4123-b2b7-e679e71eb570"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdatePartnerRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Partner updated successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PartnerV1"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Partner does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/settlements": {
      "get": {
        "tags": [
          "Settlements"
        ],
        "summary": "List settlements",
        "description": "API to fetch first party payouts (settlements) with enhanced v1 response format.",
        "operationId": "listSettlementsV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Filter settlements by specific settlement ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "type",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/SettlementType"
            },
            "description": "Settlement type"
          },
          {
            "name": "status",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/SettlementStatus"
            },
            "description": "Settlement status"
          },
          {
            "name": "since",
            "in": "query",
            "description": "ISO 8601 timestamp after settlement was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "ISO 8601 timestamp before settlement was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "description": "Page number (zero-indexed, starts at 0)",
            "example": 0
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 100,
              "default": 10
            },
            "description": "Number of settlements per page",
            "example": 10
          }
        ],
        "responses": {
          "200": {
            "description": "A list of settlements.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/SettlementV1"
                      }
                    },
                    "page": {
                      "$ref": "#/components/schemas/PageMetadata"
                    }
                  }
                },
                "examples": {
                  "default": {
                    "summary": "Settlements list (same data as the create examples)",
                    "value": {
                      "content": [
                        {
                          "id": "63dd59dd-88be-41a2-a246-2f6724209422",
                          "source_account_id": "c3d4e5f6-a7b8-9012-cdef-234567890123",
                          "currency": "USD",
                          "gross_amount": "50.00",
                          "settlement_amount": "49.50",
                          "fees": {
                            "transaction_fees": "0.50"
                          },
                          "status": "COMPLETED",
                          "data": {
                            "transaction_reference_numbers": [
                              "ABC12345"
                            ],
                            "payout_destination": {
                              "type": "FEDWIRE",
                              "account_name": "Finance Corp",
                              "account_number": "XXXX7890",
                              "routing_number": "021000021",
                              "swift_code": "CHASUS33",
                              "institution_name": "Bank of America",
                              "reference": "INV-2024-001"
                            }
                          },
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "7a1e4b2c-9d3f-4e5a-8b6c-1d2e3f4a5b6c",
                          "source_account_id": "e5f6a7b8-c9d0-1234-ef01-456789012345",
                          "currency": "RLUSD",
                          "gross_amount": "100.00",
                          "settlement_amount": "99.00",
                          "fees": {
                            "transaction_fees": "1.00"
                          },
                          "status": "COMPLETED",
                          "data": {
                            "transaction_hash": "0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF",
                            "payout_destination": {
                              "type": "BLOCKCHAIN",
                              "network": "XRPL",
                              "address": "rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh",
                              "currency": "RLUSD",
                              "destination_tag": "12345"
                            }
                          },
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "9f8e7d6c-5b4a-3c2d-1e0f-a1b2c3d4e5f6",
                          "source_account_id": "d4e5f6a7-b8c9-0123-def0-345678901234",
                          "currency": "BRL",
                          "gross_amount": "75.00",
                          "settlement_amount": "74.25",
                          "fees": {
                            "transaction_fees": "0.75"
                          },
                          "status": "COMPLETED",
                          "data": {
                            "transaction_reference_numbers": [
                              "PIX54321"
                            ],
                            "payout_destination": {
                              "type": "PIX",
                              "pix_key": "XXXX8901",
                              "pix_key_type": "CNPJ",
                              "beneficiary_name": "Finance Corp"
                            }
                          },
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        }
                      ],
                      "page": {
                        "page": 0,
                        "size": 10,
                        "total_elements": 3,
                        "total_pages": 1
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Settlements"
        ],
        "summary": "Create a settlement",
        "description": "API to initiate a first party payout (settlement to our customer).",
        "operationId": "createSettlementV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateSettlementRequestV1"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Settlement created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SettlementV1"
                },
                "examples": {
                  "usd_fedwire_settlement": {
                    "summary": "USD settlement paid out via FEDWIRE",
                    "value": {
                      "id": "63dd59dd-88be-41a2-a246-2f6724209422",
                      "source_account_id": "c3d4e5f6-a7b8-9012-cdef-234567890123",
                      "currency": "USD",
                      "gross_amount": "50.00",
                      "settlement_amount": "49.50",
                      "fees": {
                        "transaction_fees": "0.50"
                      },
                      "status": "COMPLETED",
                      "data": {
                        "transaction_reference_numbers": [
                          "ABC12345"
                        ],
                        "payout_destination": {
                          "type": "FEDWIRE",
                          "account_name": "Finance Corp",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "swift_code": "CHASUS33",
                          "institution_name": "Bank of America",
                          "reference": "INV-2024-001"
                        }
                      },
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "rlusd_settlement": {
                    "summary": "RLUSD settlement paid out on XRPL",
                    "value": {
                      "id": "7a1e4b2c-9d3f-4e5a-8b6c-1d2e3f4a5b6c",
                      "source_account_id": "e5f6a7b8-c9d0-1234-ef01-456789012345",
                      "currency": "RLUSD",
                      "gross_amount": "100.00",
                      "settlement_amount": "99.00",
                      "fees": {
                        "transaction_fees": "1.00"
                      },
                      "status": "COMPLETED",
                      "data": {
                        "transaction_hash": "0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF0123456789ABCDEF",
                        "payout_destination": {
                          "type": "BLOCKCHAIN",
                          "network": "XRPL",
                          "address": "rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh",
                          "currency": "RLUSD",
                          "destination_tag": "12345"
                        }
                      },
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "brl_settlement": {
                    "summary": "BRL settlement paid out via PIX",
                    "value": {
                      "id": "9f8e7d6c-5b4a-3c2d-1e0f-a1b2c3d4e5f6",
                      "source_account_id": "d4e5f6a7-b8c9-0123-def0-345678901234",
                      "currency": "BRL",
                      "gross_amount": "75.00",
                      "settlement_amount": "74.25",
                      "fees": {
                        "transaction_fees": "0.75"
                      },
                      "status": "COMPLETED",
                      "data": {
                        "transaction_reference_numbers": [
                          "PIX54321"
                        ],
                        "payout_destination": {
                          "type": "PIX",
                          "pix_key": "XXXX8901",
                          "pix_key_type": "CNPJ",
                          "beneficiary_name": "Finance Corp"
                        }
                      },
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/settlements/{settlement_id}": {
      "get": {
        "tags": [
          "Settlements"
        ],
        "summary": "Get settlement by ID",
        "description": "API to fetch a first party payout (settlement to our customer) with enhanced v1 response format.",
        "operationId": "getSettlementByIdV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "settlement_id",
            "in": "path",
            "required": true,
            "description": "Unique identifier of the settlement to retrieve",
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "63dd59dd-88be-41a2-a246-2f6724209422"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SettlementV1"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Settlement does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/channels": {
      "get": {
        "tags": [
          "Collection Channels"
        ],
        "summary": "List channels",
        "description": "Retrieves a list of channels using account-based routing, filterable by query parameters.",
        "operationId": "listChannelsV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Filter channels by specific channel identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "payer_id",
            "in": "query",
            "description": "Filter channels by payer identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "account_id",
            "in": "query",
            "description": "Filter channels by account identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "beneficiary_id",
            "in": "query",
            "description": "Filter channels by beneficiary identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Filter channels by status",
            "schema": {
              "$ref": "#/components/schemas/ChannelStatus"
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "ISO 8601 timestamp after channel was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "ISO 8601 timestamp before channel was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "description": "Page number (zero-indexed, starts at 0)",
            "example": 0
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "default": 10
            },
            "description": "Page size (items per page)",
            "example": 10
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Field to sort results by",
            "schema": {
              "type": "string",
              "default": "CREATED_AT",
              "enum": [
                "CREATED_AT",
                "UPDATED_AT",
                "STATUS",
                "PAYER_NAME",
                "PAYER_EMAIL",
                "BENEFICIARY_NAME",
                "BENEFICIARY_EMAIL"
              ]
            },
            "example": "CREATED_AT"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Sort direction",
            "schema": {
              "type": "string",
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "example": "desc"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of channels.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/ChannelV1"
                      }
                    },
                    "page": {
                      "$ref": "#/components/schemas/PageMetadata"
                    }
                  }
                },
                "examples": {
                  "default": {
                    "summary": "Example channel list response",
                    "value": {
                      "content": [
                        {
                          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                          "payer": {
                            "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                            "name": "Nigerian Imports Ltd.",
                            "email": "nigerian@imports.com"
                          },
                          "beneficiary": {
                            "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "account": {
                            "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                            "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "currency": "RLUSD",
                            "type": "CRYPTO"
                          },
                          "payment_methods": [
                            {
                              "type": "BLOCKCHAIN",
                              "network": "ETHEREUM",
                              "address": "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5",
                              "currency": "RLUSD"
                            }
                          ],
                          "payment_link": "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6",
                          "status": "ACTIVE",
                          "reason": null,
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        },
                        {
                          "id": "cb34b0e3-d20d-4a7c-9ad7-b461d7991555",
                          "payer": {
                            "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                            "name": "Nigerian Imports Ltd.",
                            "email": "nigerian@imports.com"
                          },
                          "beneficiary": {
                            "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "account": {
                            "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                            "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                            "currency": "USD",
                            "type": "FIAT"
                          },
                          "payment_methods": [
                            {
                              "type": "FEDWIRE",
                              "account_number": "XXXX7890",
                              "routing_number": "021000021",
                              "swift_code": "CHASUS33",
                              "memo": "CH-cb34b0e3"
                            },
                            {
                              "type": "ACH",
                              "account_number": "XXXX7890",
                              "routing_number": "021000021",
                              "memo": "CH-cb34b0e3"
                            }
                          ],
                          "payment_link": "https://collections.ripplenet.com/pay/channel/cb34b0e3-d20d-4a7c-9ad7-b461d7991555",
                          "status": "ACTIVE",
                          "reason": null,
                          "created_at": "2025-09-18T22:54:00.542Z",
                          "updated_at": "2025-09-18T22:54:00.542Z"
                        }
                      ],
                      "page": {
                        "page": 0,
                        "size": 10,
                        "total_elements": 2,
                        "total_pages": 1
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collection Channels"
        ],
        "summary": "Create a channel",
        "description": "Creates a new payment channel using account-based routing. The channel is associated\nwith an account which determines the available payment rails (crypto networks or fiat\nrails) based on the account's currency.\n",
        "operationId": "createChannelV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateChannelRequestV1"
              },
              "examples": {
                "default": {
                  "summary": "Example channel creation request",
                  "value": {
                    "payer_id": "e471b938-98ad-45e4-b144-53a556ea047d",
                    "account_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                    "payment_currencies": [
                      {
                        "currency": "RLUSD"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Channel created successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChannelV1"
                },
                "examples": {
                  "crypto_channel": {
                    "summary": "Example crypto channel response",
                    "value": {
                      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Nigerian Imports Ltd.",
                        "email": "nigerian@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "RLUSD",
                        "type": "CRYPTO"
                      },
                      "payment_methods": [
                        {
                          "type": "BLOCKCHAIN",
                          "network": "ETHEREUM",
                          "address": "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5",
                          "currency": "RLUSD"
                        },
                        {
                          "type": "BLOCKCHAIN",
                          "network": "XRPL",
                          "address": "rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh",
                          "currency": "RLUSD"
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "fiat_channel": {
                    "summary": "Example fiat channel response",
                    "value": {
                      "id": "cb34b0e3-d20d-4a7c-9ad7-b461d7991555",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Nigerian Imports Ltd.",
                        "email": "nigerian@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "USD",
                        "type": "FIAT"
                      },
                      "payment_methods": [
                        {
                          "type": "FEDWIRE",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "swift_code": "CHASUS33",
                          "memo": "CH-cb34b0e3"
                        },
                        {
                          "type": "ACH",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "memo": "CH-cb34b0e3"
                        },
                        {
                          "type": "RTP",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "memo": "CH-cb34b0e3"
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/4gb96g75-6828-5673-c4gd-3d074g77bgb7",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "brl_fiat_channel": {
                    "summary": "Example BRL fiat channel response with PIX",
                    "value": {
                      "id": "d45e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Brazilian Imports Ltd.",
                        "email": "brazil@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "250d6dc5-382f-4750-8657-0780be594d68",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "BRL",
                        "type": "FIAT"
                      },
                      "payment_methods": [
                        {
                          "type": "PIX",
                          "pix_key": "payments@hongkongexports.com",
                          "pix_key_type": "EMAIL",
                          "beneficiary_name": "Hong Kong Exports Ltd."
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/d45e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - Account type not allowed for this operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Account or payer not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/channels/{channel_id}": {
      "get": {
        "tags": [
          "Collection Channels"
        ],
        "summary": "Get channel details",
        "description": "Retrieves the details of a specific channel by its ID using account-based routing.",
        "operationId": "getChannelByIdV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "channel_id",
            "in": "path",
            "required": true,
            "description": "Unique identifier of the channel to retrieve",
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ChannelV1"
                },
                "examples": {
                  "crypto_channel": {
                    "summary": "Example crypto channel response",
                    "value": {
                      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Nigerian Imports Ltd.",
                        "email": "nigerian@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "RLUSD",
                        "type": "CRYPTO"
                      },
                      "payment_methods": [
                        {
                          "type": "BLOCKCHAIN",
                          "network": "ETHEREUM",
                          "address": "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5",
                          "currency": "RLUSD"
                        },
                        {
                          "type": "BLOCKCHAIN",
                          "network": "XRPL",
                          "address": "rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh",
                          "currency": "RLUSD"
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "fiat_channel": {
                    "summary": "Example fiat channel response",
                    "value": {
                      "id": "cb34b0e3-d20d-4a7c-9ad7-b461d7991555",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Nigerian Imports Ltd.",
                        "email": "nigerian@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "USD",
                        "type": "FIAT"
                      },
                      "payment_methods": [
                        {
                          "type": "FEDWIRE",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "swift_code": "CHASUS33",
                          "memo": "CH-cb34b0e3"
                        },
                        {
                          "type": "ACH",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "memo": "CH-cb34b0e3"
                        },
                        {
                          "type": "RTP",
                          "account_number": "XXXX7890",
                          "routing_number": "021000021",
                          "memo": "CH-cb34b0e3"
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/cb34b0e3-d20d-4a7c-9ad7-b461d7991555",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  },
                  "brl_fiat_channel": {
                    "summary": "Example BRL fiat channel response with PIX",
                    "value": {
                      "id": "d45e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
                      "payer": {
                        "id": "e471b938-98ad-45e4-b144-53a556ea047d",
                        "name": "Brazilian Imports Ltd.",
                        "email": "brazil@imports.com"
                      },
                      "beneficiary": {
                        "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "name": "Hong Kong Exports Ltd.",
                        "email": "hongkong@exports.com"
                      },
                      "account": {
                        "id": "250d6dc5-382f-4750-8657-0780be594d68",
                        "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
                        "currency": "BRL",
                        "type": "FIAT"
                      },
                      "payment_methods": [
                        {
                          "type": "PIX",
                          "pix_key": "payments@hongkongexports.com",
                          "pix_key_type": "EMAIL",
                          "beneficiary_name": "Hong Kong Exports Ltd."
                        }
                      ],
                      "payment_link": "https://collections.ripplenet.com/pay/channel/d45e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
                      "status": "ACTIVE",
                      "reason": null,
                      "created_at": "2025-09-18T22:54:00.542Z",
                      "updated_at": "2025-09-18T22:54:00.542Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing authentication",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Channel does not exist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/v1/collections/transactions": {
      "get": {
        "tags": [
          "Transactions"
        ],
        "summary": "List Transactions",
        "description": "API to fetch transactions received through channels using account-based routing.",
        "operationId": "listTransactionsV1",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "Filter transactions by specific transaction ID",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "status",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/TransactionStatus"
            },
            "description": "Transaction status"
          },
          {
            "name": "payer_id",
            "in": "query",
            "description": "Filter transactions by payer identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "beneficiary_id",
            "in": "query",
            "description": "Filter transactions by beneficiary identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "account_id",
            "in": "query",
            "description": "Filter transactions by account identifier",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "Filter transactions by transaction currency",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "network",
            "in": "query",
            "description": "Filter transactions by transaction network",
            "schema": {
              "type": "string",
              "$ref": "#/components/schemas/Network"
            }
          },
          {
            "name": "wallet_address",
            "in": "query",
            "description": "Filter transactions by wallet address",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "ISO 8601 timestamp after transaction was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "ISO 8601 timestamp before transaction was created",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "description": "Page number (zero-indexed, starts at 0)",
            "example": 0
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "default": 10
            },
            "description": "Page size (items per page)",
            "example": 10
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Field to sort results by",
            "schema": {
              "type": "string",
              "default": "CREATED_AT",
              "enum": [
                "TRANSACTION_DATE",
                "CREATED_AT",
                "STATUS"
              ]
            },
            "example": "CREATED_AT"
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Sort direction",
            "schema": {
              "type": "string",
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "example": "desc"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of transactions.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/TransactionV1"
                      }
                    },
                    "page": {
                      "$ref": "#/components/schemas/PageMetadata"
                    }
                  }
                },
                "examples": {
                  "default": {
                    "summary": "Example transaction list response",
                    "value": {
                      "content": [
                        {
                          "id": "487ba009-56cf-4ad9-8b5c-045e27893e00",
                          "parent_id": "22a0337b-8e62-449c-91ca-a0f830c55733",
                          "account_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                          "payer": {
                            "id": "0c5479ff-3772-4123-b2b7-e679e71eb570",
                            "name": "Nigerian Imports Ltd.",
                            "email": "nigerian@imports.com"
                          },
                          "beneficiary": {
                            "id": "01467076-8bb0-41c1-ad54-5751dd4a9e80",
                            "name": "Hong Kong Exports Ltd.",
                            "email": "hongkong@exports.com"
                          },
                          "payment_amount": {
                            "value": "50.00000000",
                            "asset": "USDT"
                          },
                          "account_equivalent": {
                            "gross_amount": {
[...]
